"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const tiny_invariant_1 = tslib_1.__importDefault(require("tiny-invariant"));
const practical_logger_core_1 = require("@offirmo/practical-logger-core");
const consts_1 = require("../../consts");
const FONT_FAMILY_BETTER_PROPORTIONAL = 'font-family: ' + [
    '-apple-system',
    'BlinkMacSystemFont',
    'noto',
    'roboto',
    'sans-serif',
].join(', ');
exports.FONT_FAMILY_BETTER_PROPORTIONAL = FONT_FAMILY_BETTER_PROPORTIONAL;
const FONT_FAMILY_BETTER_MONOSPACE = 'font-family: ' + [
    '"Fira Code"',
    'Menlo',
    'Consolas',
    'monospace',
].join(', ');
exports.FONT_FAMILY_BETTER_MONOSPACE = FONT_FAMILY_BETTER_MONOSPACE;
const LEVEL_TO_COLOR_STYLE = {
    // empty = no need, console method already covers it well
    fatal: '',
    emerg: '',
    alert: '',
    crit: '',
    error: '',
    warning: '',
    warn: '',
    notice: 'color: #659AD2',
    info: 'color: #659AD2',
    verbose: 'color: #659AD2',
    log: '',
    debug: 'color: #9AA2AA',
    trace: 'color: #9AA2AA',
    silly: 'color: #9AA2AA',
};
exports.LEVEL_TO_COLOR_STYLE = LEVEL_TO_COLOR_STYLE;
tiny_invariant_1.default(Object.keys(LEVEL_TO_COLOR_STYLE).sort().join(',') === [...practical_logger_core_1.ALL_LOG_LEVELS].sort().join(','), `${consts_1.LIB}: LEVEL_TO_COLOR_STYLE needs an update!`);
function add_styled_string(line, chunk, ...styles) {
    const [existing_chunks, ...existing_chunks_styles] = line;
    return [
        existing_chunks + '%c' + chunk,
        ...existing_chunks_styles,
        styles.join(';') + ';',
    ];
}
exports.add_styled_string = add_styled_string;
const MIN_WIDTH = 5;
function to_uniform_level(level) {
    let str = practical_logger_core_1.LOG_LEVEL_TO_HUMAN[level]; //.slice(0, MIN_WIDTH)
    //if (str.length < MIN_WIDTH)
    str = (str + '         ').slice(0, MIN_WIDTH);
    return str;
}
exports.to_uniform_level = to_uniform_level;
//# sourceMappingURL=common.js.map